### Virtual Method

# Foundry DebuggerStackFrame dup_source

#### Declaration [src]

    FoundryDebuggerSource*
    dup_source (
      FoundryDebuggerStackFrame* self
    )

#### Description

No description available.

#### Return value

Type: `FoundryDebuggerSource`

No description available.

The caller of the method takes ownership of the returned data, and is responsible for freeing it.
The return value can be `NULL`.